/*!
 * @file        Board.c
 *
 * @brief       This file provides firmware functions to manage Leds and push-buttons 
 *
 * @version     V1.0.1
 *
 * @date        2021-03-23
 *
 */

#include "Board.h"

#if defined (APM32F103_MINI)
#include "Board_APM32F103_MINI.c"

#elif defined (APM32F103VCS_MINI) 
#include "Board_APM32F103VCS_MINI.c"

#else
#error "Please select first the APM32 board to be used (in board.c)"
#endif


