/*!
 * @file        main.c
 *
 * @brief       Main program body
 *
 * @version     V1.0.1
 *
 * @date        2021-03-23
 *
 */

#include "apm32f10x.h"
#include "apm32f10x_gpio.h"
#include "apm32f10x_usart.h"
#include "apm32f10x_rcm.h"
#include "Board.h"

/*!
 * @brief       DELAY_TIME
 *
 * @param       delay : delay count.
 *
 * @retval      None
 *
 * @note
 */
static void DELAY_TIME (uint32_t delay)
{
    int32_t count;
    count = delay;

    for (; count>0; count--);
}

/*!
 * @brief       Main program
 *
 * @param       None
 *
 * @retval      None
 *
 * @note
 */
int main(void)
{

    APM_MINI_LEDInit(LED2);
    APM_MINI_LEDInit(LED3);
    APM_MINI_LEDOn(LED2);
    APM_MINI_LEDOff(LED3);

    while (1)
    {
        DELAY_TIME(3000000);
        APM_MINI_LEDToggle(LED2);
        APM_MINI_LEDToggle(LED3);
    }
}
